Unit tqsf7e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FQSF7E_p, QSF7E_p;

function tqsf7e: String;

implementation

function tqsf7e: String;
var
L1,L2 :Integer;
A,B,RO,FI,E,S,RINT1,RINT2,XA,E1,ALFA,BETA :Extended;
begin
Result := '';  {   }
S := 0.001e0;
A := -1.e0;
B := 1.e0;
RO := 100.e0;
FI := 0.e0;
ALFA := -S;
BETA := S;
L1 := 0;
L2 := 1;
E := 0.000000001e0;
QSF7E(RINT1,RINT2,A,B,FQSF7E,RO,
     FI,E,ALFA,BETA,XA,E1,L1,L2);
RINT2 := 1.e0/S*RINT2*1.e0/Sqrt(6.283185307179586e0);
Result := Result + Format('%20.16f %20.16f %20.16f %20.16f %20.16f ',
 [RINT1,RINT2,XA,E1,ALFA]) + #$0D#$0A;
UtRes('tqsf7e',Result);  {     tqsf7e.res }
exit;
end;

end.
